<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="activity"
            type="com.example.photosandvideosapp.view.MainActivity" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_activity"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".view.MainActivity">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/home_banner"
            android:background="@color/black"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_326dp"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/img_home_banner"
                android:layout_width="match_parent"
                android:layout_height="match_parent"/>

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/img_logo"
                android:src="@drawable/ic_logo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dimen_20dp"
                android:layout_marginTop="@dimen/dimen_40dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="parent"/>

            <TextView
                android:id="@+id/title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toTopOf="parent"
                android:gravity="center_horizontal"
                android:layout_marginTop="@dimen/dimen_100dp"
                android:layout_marginStart="@dimen/dimen_50dp"
                android:layout_marginEnd="@dimen/dimen_50dp"
                android:text="@string/discover_the_world_s_best_photos_videos"
                android:textSize="@dimen/dimen_24sp"
                android:textColor="@color/white"/>

            <TextView
                android:id="@+id/subtitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toBottomOf="@+id/title"
                android:layout_marginTop="@dimen/dimen_10dp"
                android:gravity="center_horizontal"
                android:text="@string/best_memories_online"
                android:textSize="@dimen/dimen_14sp"
                android:textColor="@color/white"/>
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tab_photos_videos"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@+id/home_banner"
            app:tabIndicatorColor="@color/color_tab_indicator"
            app:tabSelectedTextColor="@color/color_tab_indicator"
            app:tabTextColor="@color/color_tab_text"
            app:tabTextAppearance="@style/tabStyle" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_0dp"
            android:fillViewport="true"
            app:layout_behavior="@string/appbar_scrolling_view_behavior"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tab_photos_videos">

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/viewpager_photos_videos"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </androidx.core.widget.NestedScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>